PHP ��U
前一頁 |  | 下一頁

# SimpleXMLElement->asXML()

(no version information, might be only in CVS)

SimpleXMLElement->asXML() -- Return a well-formed XML string based on SimpleXML element

## Description

class SimpleXMLElement {
mixed asXML ( [string filename] )
}

The asXML method formats the parent object's data in XML version 1.0.

## Parameters

filename

  If specified, the function writes the data to the file rather than returning it.

## Return Values

If the filename isn't specified, this function returns a string on success and `FALSE` on error. If the parameter is specified, it returns `TRUE` if the file was written successfully and `FALSE` otherwise.

## �d��

範例 1. Get XML

`<?php $string = <<<XML <a> <b> <c>text</c> <c>stuff</c> </b> <d> <c>code</c> </d> </a> XML; $xml = new SimpleXMLElement($string); echo $xml->asXML(); // <?xml ... <a><b><c>text</c><c>stuff</c> ... ?>`

asXML also works on Xpath results:

範例 2. Using asXML() on Xpath results

`<?php // Continued from example XML above. /* Search for <a><b><c> */ $result = $xml->xpath('/a/b/c'); while(list( , $node) = each($result)) { echo $node->asXML(); // <c>text</c> and <c>stuff</c> } ?>`

前一頁 | 內容 | 下一頁
SimpleXMLElement->addChild() | 上一層 | SimpleXMLElement->attributes()